ru.bitel.bgbilling.kernel.contract.status.common.service

## Interface ContractStatusMonitorService

-     public interface ContractStatusMonitorService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeContractStatus(int[] cid, int statusId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String comment)` Смена статуса у договора
    `SearchResult<MonitorStatusResult>` | `contractSearch(int mode, int statusPeriod, java.lang.String statusPeriodUnit, java.util.Set<java.lang.Integer> group, java.util.Set<java.lang.Integer> notGroup, java.lang.String status, java.lang.String saldoFrom, java.lang.String saldoTo, java.lang.String sort, int subContract, Page page, int saldoAccountMonths, java.math.BigDecimal saldoAcconuntsMore, java.util.Set<java.lang.Integer> serviceAccountMaxServices, float serviceMaxVal, int balanceLimit, int balancePrevLimit)` поиск договоров
    `void` | `createBalanceDump()` создание среза балансов
    `java.util.List<Status>` | `getStatusList(boolean onlyManual)` Возвращает список статусов из конфига сервера

- - ### Method Detail

    - #### createBalanceDump

          void createBalanceDump()
                          throws ru.bitel.bgbilling.common.BGException

      создание среза балансов
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractSearch

          SearchResult<MonitorStatusResult> contractSearch(int mode,
                                                           int statusPeriod,
                                                           java.lang.String statusPeriodUnit,
                                                           java.util.Set<java.lang.Integer> group,
                                                           java.util.Set<java.lang.Integer> notGroup,
                                                           java.lang.String status,
                                                           java.lang.String saldoFrom,
                                                           java.lang.String saldoTo,
                                                           java.lang.String sort,
                                                           int subContract,
                                                           Page page,
                                                           int saldoAccountMonths,
                                                           java.math.BigDecimal saldoAcconuntsMore,
                                                           java.util.Set<java.lang.Integer> serviceAccountMaxServices,
                                                           float serviceMaxVal,
                                                           int balanceLimit,
                                                           int balancePrevLimit)
                                                    throws ru.bitel.bgbilling.common.BGException

      поиск договоров
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getStatusList

          java.util.List<Status> getStatusList(boolean onlyManual)
                                        throws ru.bitel.bgbilling.common.BGException

      Возвращает список статусов из конфига сервера
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### changeContractStatus

          void changeContractStatus(int[] cid,
                                    int statusId,
                                    java.util.Date dateFrom,
                                    java.util.Date dateTo,
                                    java.lang.String comment)
                             throws ru.bitel.bgbilling.common.BGException

      Смена статуса у договора
      Throws:
        `ru.bitel.bgbilling.common.BGException`